package com.dgtly.order.domain;

import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author csz
 * @since 2020-07-30
 */
public class MetaHanaSalesOrder extends BaseEntity {

    private static final long serialVersionUID = 1L;
    @Excel(name = "订单号", cellType = Excel.ColumnType.NUMERIC, prompt = "订单编号")
    private String docNumber;


    private String docItem;


    private String salesOrg;


    private String salesOrgName;

    private String distributionChannel;
    @Excel(name = "经销商编号")
    private String customerCode;
    @Excel(name = "经销商名称")
    private String customerName;

    private String route;

    private String division;

    private String salesGroup;

    private String plant;

    private String docType;
    @Excel(name = "订单创建时间")
    private String createDate;

    private String createDateItem;

    private String deliverStatus;

    private String materialCode;

    private String materialName;

    private String sizeDim;
    @Excel(name = "信用通过时间")
    private String creditDate;
    @Excel(name = "信用状态")
    private String creditStatus;

    private String rejectReason;

    private BigDecimal noDeliverQty;

    private BigDecimal noDeliverWt;

    private BigDecimal noDeliverAmt;

    private BigDecimal deliverQty;

    private BigDecimal deliverWt;

    private BigDecimal deliverAmt;

    /** 创建时间 */
    @Excel(name = "期望到货时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss", type = Excel.Type.EXPORT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expectedTime;

    private String expectedTimeStr;//预期到货时间 字符串

    public String getDocNumber() {
        return docNumber;
    }

    public void setDocNumber(String docNumber) {
        this.docNumber = docNumber;
    }

    public String getDocItem() {
        return docItem;
    }

    public void setDocItem(String docItem) {
        this.docItem = docItem;
    }

    public String getSalesOrg() {
        return salesOrg;
    }

    public void setSalesOrg(String salesOrg) {
        this.salesOrg = salesOrg;
    }

    public String getSalesOrgName() {
        return salesOrgName;
    }

    public void setSalesOrgName(String salesOrgName) {
        this.salesOrgName = salesOrgName;
    }

    public String getDistributionChannel() {
        return distributionChannel;
    }

    public void setDistributionChannel(String distributionChannel) {
        this.distributionChannel = distributionChannel;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getRoute() {
        return route;
    }

    public void setRoute(String route) {
        this.route = route;
    }

    public String getDivision() {
        return division;
    }

    public void setDivision(String division) {
        this.division = division;
    }

    public String getSalesGroup() {
        return salesGroup;
    }

    public void setSalesGroup(String salesGroup) {
        this.salesGroup = salesGroup;
    }

    public String getPlant() {
        return plant;
    }

    public void setPlant(String plant) {
        this.plant = plant;
    }

    public String getDocType() {
        return docType;
    }

    public void setDocType(String docType) {
        this.docType = docType;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getCreateDateItem() {
        return createDateItem;
    }

    public void setCreateDateItem(String createDateItem) {
        this.createDateItem = createDateItem;
    }

    public String getDeliverStatus() {
        return deliverStatus;
    }

    public void setDeliverStatus(String deliverStatus) {
        this.deliverStatus = deliverStatus;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getSizeDim() {
        return sizeDim;
    }

    public void setSizeDim(String sizeDim) {
        this.sizeDim = sizeDim;
    }

    public String getCreditDate() {
        return creditDate;
    }

    public void setCreditDate(String creditDate) {
        this.creditDate = creditDate;
    }

    public String getCreditStatus() {
        return creditStatus;
    }

    public void setCreditStatus(String creditStatus) {
        this.creditStatus = creditStatus;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public BigDecimal getNoDeliverQty() {
        return noDeliverQty;
    }

    public void setNoDeliverQty(BigDecimal noDeliverQty) {
        this.noDeliverQty = noDeliverQty;
    }

    public BigDecimal getNoDeliverWt() {
        return noDeliverWt;
    }

    public void setNoDeliverWt(BigDecimal noDeliverWt) {
        this.noDeliverWt = noDeliverWt;
    }

    public BigDecimal getNoDeliverAmt() {
        return noDeliverAmt;
    }

    public void setNoDeliverAmt(BigDecimal noDeliverAmt) {
        this.noDeliverAmt = noDeliverAmt;
    }

    public BigDecimal getDeliverQty() {
        return deliverQty;
    }

    public void setDeliverQty(BigDecimal deliverQty) {
        this.deliverQty = deliverQty;
    }

    public BigDecimal getDeliverWt() {
        return deliverWt;
    }

    public void setDeliverWt(BigDecimal deliverWt) {
        this.deliverWt = deliverWt;
    }

    public BigDecimal getDeliverAmt() {
        return deliverAmt;
    }

    public void setDeliverAmt(BigDecimal deliverAmt) {
        this.deliverAmt = deliverAmt;
    }

    public Date getExpectedTime() {
        return expectedTime;
    }

    public void setExpectedTime(Date expectedTime) {
        this.expectedTime = expectedTime;
    }

    public String getExpectedTimeStr() {
        return expectedTimeStr;
    }

    public void setExpectedTimeStr(String expectedTimeStr) {
        this.expectedTimeStr = expectedTimeStr;
    }

    @Override
    public String toString() {
        return "MetaHanaSalesOrder{" +
                "docNumber='" + docNumber + '\'' +
                ", docItem='" + docItem + '\'' +
                ", salesOrg='" + salesOrg + '\'' +
                ", salesOrgName='" + salesOrgName + '\'' +
                ", distributionChannel='" + distributionChannel + '\'' +
                ", customerCode='" + customerCode + '\'' +
                ", customerName='" + customerName + '\'' +
                ", route='" + route + '\'' +
                ", division='" + division + '\'' +
                ", salesGroup='" + salesGroup + '\'' +
                ", plant='" + plant + '\'' +
                ", docType='" + docType + '\'' +
                ", createDate='" + createDate + '\'' +
                ", createDateItem='" + createDateItem + '\'' +
                ", deliverStatus='" + deliverStatus + '\'' +
                ", materialCode='" + materialCode + '\'' +
                ", materialName='" + materialName + '\'' +
                ", sizeDim='" + sizeDim + '\'' +
                ", creditDate='" + creditDate + '\'' +
                ", creditStatus='" + creditStatus + '\'' +
                ", rejectReason='" + rejectReason + '\'' +
                ", noDeliverQty=" + noDeliverQty +
                ", noDeliverWt=" + noDeliverWt +
                ", noDeliverAmt=" + noDeliverAmt +
                ", deliverQty=" + deliverQty +
                ", deliverWt=" + deliverWt +
                ", deliverAmt=" + deliverAmt +
                '}';
    }
}
